# DialogueViews

Property in [DialogueRunner](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner)

{% hint style="warning" %}
This property is obsolete and may be removed from a future version of Yarn Spinner: Use DialoguePresenters.
{% endhint %}

## Summary

Gets or sets the collection of dialogue presenters attached to this dialogue runner.

```csharp
public IEnumerable<DialoguePresenterBase?> DialogueViews { get; set; }
```

## Remarks

This property is deprecated. Use [DialoguePresenters](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.dialoguepresenters) instead.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.dialogueviews.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
